This package was made from prime31's TouchKit (https://github.com/prime31/TouchKit) on commit fa0f20c53dad7db240be5a2a6de378b0fce12a8b.
There is a small modification of the original package: in TKAbstractGestureRecognizer.cs, a public getter was added in order to access the list of touches:

public List<TKTouch> getListTouches()
{
	return _trackingTouches;
}

The package also contains two additional scripts that are not coming from TouchKit: TouchKitConfigurator.cs and AndroidToast.cs. Those scripts are used to fire Android Toasts when an unsuported gesture is used (Pinch-zoom or Two-finger rotation).

